当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : postgresql8.4怎么重新安装?
帖子发表于 : 2010-09-17 9:41 

注册: 2010-06-09 19:43
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
ubuntu10.4,之前用ubuntu的软件中心装了postgresql8.4,可没办法启动服务,就用新立德完全卸载了所有与postgresql相关的软件包,然后用新立德再次安装,可没有成功,提示:
E: postgresql-8.4: subprocess installed post-installation script returned error exit status 1
E: postgresql: dependency problems - leaving unconfigured
请问怎么处理阿?

--------------------------------------
卸载前手工启动postgresql服务 postgres -D /usr/local/psql/data 时,提示错误
2010-09-17 01:34:04 GMT ????: ??????????????? "/var/lib/postgresql/8.4/main"
2010-09-17 01:34:04 GMT ????: ????? u=rwx (0700).

怎么提示都是?号,都不知道是什么错误
我已经执行initdb -D /usr/local/psql/data


谢谢!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: postgresql8.4怎么重新安装?
帖子发表于 : 2010-09-24 10:41 

注册: 2006-12-17 13:52
帖子: 97
送出感谢: 0 次
接收感谢: 0 次
试下这个方法,之前9.10版有人出过类似的问题。

代码:
sudo nano /var/lib/dpkg/info/postgresql-8.4.prerm


找到
代码:
 #!/bin/sh -e



加入

代码:
exit 0


然后运行
代码:
sudo dpkg -r postgresql-8.4


页首
 用户资料  
 
3 楼 
 文章标题 : Re: postgresql8.4怎么重新安装?
帖子发表于 : 2010-10-17 11:08 

注册: 2010-06-09 19:43
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
谢谢ls edelweiss


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译